Bug 647503 - perl-Log-Dispatch: please update to 2.27
Summary: perl-Log-Dispatch: please update to 2.27
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Log-Dispatch
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-28 15:18 UTC by Jose Pedro Oliveira
Modified: 2010-11-14 21:38 UTC (History)
2 users (show)

Fixed In Version: perl-Log-Dispatch-2.27-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-14 21:30:52 UTC
Type: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2010-10-28 15:18:33 UTC
Description of problem:
The latest upstream version is version 2.27.

Version-Release number of selected component (if applicable):
Current version for Rawhide/Fedora 14 is 2.22.

Expected results:
Version 2.27 available for Fedora 13, Fedora 14, Rawhide, EPEL5 and EPEL6 

Additional info:
http://search.cpan.org/dist/Log-Dispatch/

Changes:
http://cpansearch.perl.org/src/DROLSKY/Log-Dispatch-2.27/Changes

Comment 1 Jose Pedro Oliveira 2010-10-28 15:27:52 UTC
Due to the requirement "Sys::Syslog 0.16" is better to forget the EPEL5 upgrade (Sys::Syslog 0.16 is provided by perl >= 5.8.9).

Comment 2 Tom "spot" Callaway 2010-11-03 14:54:23 UTC
This is done in rawhide. I have no plans to push this as an update to any other branches unless there is a specific compelling reason to do so.

Comment 3 Jose Pedro Oliveira 2010-11-04 10:21:03 UTC
Tom,

(In reply to comment #2)
> This is done in rawhide. I have no plans to push this as an update to any other
> branches unless there is a specific compelling reason to do so.

There is. Since versions 2.23/2.24 (circa September 2009) Log::Dispatch has a new simplified constructor that makes it a lot easier to use.

/jpo

Comment 4 Fedora Update System 2010-11-04 15:08:25 UTC
perl-Log-Dispatch-2.27-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Log-Dispatch-2.27-1.fc13

Comment 5 Fedora Update System 2010-11-04 15:08:33 UTC
perl-Log-Dispatch-2.27-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Log-Dispatch-2.27-1.fc14

Comment 6 Fedora Update System 2010-11-04 23:35:05 UTC
perl-Log-Dispatch-2.27-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Log-Dispatch'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Log-Dispatch-2.27-1.fc13

Comment 7 Fedora Update System 2010-11-14 21:30:48 UTC
perl-Log-Dispatch-2.27-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-11-14 21:38:26 UTC
perl-Log-Dispatch-2.27-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.